Subject: Re: linux-next: manual merge of the nand tree with the jc_docs tree

From: Boris Brezillon <[email-masked]>
Date: Tue, 30 May 2017 09:21:37 +0200

Hi Stephen,

On Tue, 30 May 2017 11:37:23 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Boris,
> 
> Today's linux-next merge of the nand tree got a conflict in:
> 
>   drivers/mtd/nand/nand_base.c
> 
> between commit:
> 
>   b6f6c29454d2 ("mtd: adjust kernel-docs to avoid Sphinx/kerneldoc warnings")
> 
> from the jc_docs tree and commit:
> 
>   c79d63fd272c ("mtd: nand: Remove support for block locking/unlocking")
> 
> from the nand tree.
> 
> I fixed it up (the latter just removed the code modified by the former,
> so I did that) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

I just dropped commit c79d63fd272c from my nand/next branch. I'll queue
it for the next release.

Thanks,

Boris